Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002014TestLinkInstallerpublic2009-01-23 16:172009-02-06 06:49
ReporterCyrille 
Assigned Tomhavlat 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.8 RC 4 
Summary0002014: Upgrade from TL 1.7.4 ti 1.8 RC3 : problem with db_schema_update.sql when trying to do insert into role_rights
DescriptionTestLink setup will now attempt to setup the database:

Creating connection to Database Server: OK!

Checking MySQL version: OK! (5.1.30 >= 4.1.0)

Connecting to database `testlink`: OK!
Creating Testlink DB user `testlink`: OK! (ok - user_exists ok - grant assignment)
Processing:sql/alter_tables/1.8/mysql/DB.1.2/db_schema_update.sqlERROR ON exec_query() - database.class.php
1062 - Duplicate entry '8-19' for key 'PRIMARY' - INSERT INTO role_rights (role_id,right_id) VALUES (8,19)

THE MESSAGE :: SQL [45] executed [took 0.0133 secs][all took 11.9555 secs]: INSERT INTO role_rights (role_id,right_id) VALUES (8,19) Query failed: errorcode[1062] errormsg:Duplicate entry '8-19' for key 'PRIMARY'

Processing:sql/alter_tables/1.8/mysql/DB.1.2/z_final_step.sql
Failed! - Upgrade failed!

TestLink setup couldn't install the default site into the selected database. The last error to occur was Duplicate entry '8-19' for key 'PRIMARY' during the execution of SQL statement INSERT INTO role_rights (role_id,right_id) VALUES (8,19)
Additional InformationWamp 2.0 on windows XP
Apache 2.2.11

there is yet the entry(role_id,right_id) VALUES (8,19) in my database in table
role_rights

See table role,rights,role_rights in attachments.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserMozilla Firefox
PHP Version5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon role_rights.zip [^] (2,002 bytes) 2009-01-23 16:17

- Relationships

-  Notes
(0005100)
mhavlat (reporter)
2009-01-23 17:27

Cyrille,
check 1.7 installation SQL script:
# $Id: testlink_create_default_data.sql,v 1.16.2.1 2007/10/18 17:09:05 franciscom Exp $

There is no right ID=19 defined yet. It seems that it's your own patch that uses this ID. So I'm going to close it. Please, reopen it if I miss something. Thanks.
(0005101)
mhavlat (reporter)
2009-01-23 17:47

Ehmm, correction:
Ther was really such record in some 1.7 RC versions. I will add delete to the script. Thanks a lot.
(0005102)
mhavlat (reporter)
2009-01-23 18:09

Updated DB alternated scripts for all three DB kinds.

- Issue History
Date Modified Username Field Change
2009-01-23 16:17 Cyrille New Issue
2009-01-23 16:17 Cyrille File Added: role_rights.zip
2009-01-23 16:17 Cyrille Browser => Mozilla Firefox
2009-01-23 16:17 Cyrille PHP Version => 5.2.8
2009-01-23 17:23 mhavlat Status new => assigned
2009-01-23 17:23 mhavlat Assigned To => mhavlat
2009-01-23 17:27 mhavlat Note Added: 0005100
2009-01-23 17:27 mhavlat Status assigned => resolved
2009-01-23 17:27 mhavlat Resolution open => no change required
2009-01-23 17:47 mhavlat Note Added: 0005101
2009-01-23 18:09 mhavlat Note Added: 0005102
2009-01-23 18:09 mhavlat Resolution no change required => fixed
2009-01-23 18:09 mhavlat Fixed in Version => next DEV - 1.8 RC 4
2009-02-06 06:49 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker